## python-keystonemiddleware 1.0.0

=== requirements.txt ===
Babel>=1.3
iso8601>=0.1.9
netaddr>=0.7.6
oslo.config>=1.2.1
pbr>=0.6,!=0.7,<1.0
PrettyTable>=0.7,<0.8
python-keystoneclient>=0.9.0
requests>=1.1
six>=1.7.0

=== debian/changelog ===
python-keystonemiddleware (1.0.0-3+deb8u1) jessie-proposed-updates; urgency=medium

  * Refreshed patches.
  * cve-2015-1852: S3Token TLS cert verification option not honored. Applied
    upstream patch.
  * Added python-oslo.utils new (build-)depends introduced by this patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 20 May 2015 02:08:33 +0200

python-keystonemiddleware (1.0.0-3) unstable; urgency=medium

  * Added CVE-2014-7144_convert_the_conf_value_into_correct_type.patch. Thanks
    to Luciano Bello <luciano@debian.org> for the report (Closes: #762748).

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Sep 2014 07:16:29 +0000

python-keystonemiddleware (1.0.0-2) unstable; urgency=medium

  * Do not attempt to run unit tests in Python 2.6, as it needs the discover
    package, which we don't want as build-depends.
  * Removes intersphinx plugin from docs build.

 -- Thomas Goirand <zigo@debian.org>  Mon, 28 Jul 2014 00:29:44 +0800

python-keystonemiddleware (1.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #755135)

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Jul 2014 14:25:47 +0800

=== debian/control ===
Source: python-keystonemiddleware
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>,
           Gonéri Le Bouder <goneri@debian.org>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-pbr (>= 0.6),
               python-setuptools,
               python-sphinx (>= 1.1.2),
#               python3-all,
#               python3-pbr (>= 0.6),
#               python3-setuptools
Build-Depends-Indep: python-babel (>= 1.3),
                     python-crypto (>= 2.6),
                     python-fixtures (>= 0.3.14),
                     python-hacking (>= 0.8.0),
                     python-httpretty (>= 0.8.0),
                     python-iso8601 (>= 0.1.9),
                     python-mock,
                     python-mox3,
                     python-keystoneclient (>= 0.9.0),
                     python-netaddr (>= 0.7.6),
                     python-oslo.config (>= 1.2.1),
                     python-oslo.utils,
                     python-prettytable (>=0.7),
                     python-requests (>= 1.1),
                     python-six (>= 1.7.0),
                     python-stevedore (>= 0.14),
                     python-testresources (>= 0.2.4),
                     python-testtools (>= 0.9.34),
                     python-webob (>= 1.2.3),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18),
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-keystonemiddleware.git
Vcs-Git: git://anonscm.debian.org/openstack/python-keystonemiddleware.git
Homepage: http://launchpad.net/keystonemiddleware

Package: python-keystonemiddleware
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-babel (>= 1.3),
         python-iso8601 (>= 0.1.9),
         python-keystoneclient (>= 0.9.0),
         python-netaddr (>= 0.7.6),
         python-oslo.config (>= 1.2.1),
         python-oslo.utils,
         python-pbr (>= 0.6),
         python-prettytable (>=0.7),
         python-requests (>= 1.1),
         python-six (>= 1.7.0),
         ${misc:Depends},
         ${python:Depends}
Description: Middleware for OpenStack Identity (Keystone) - Python 2.x
 This package contains middleware modules designed to provide authentication
 and authorization features to web services other than Keystone. The most
 prominent module is keystonemiddleware.auth_token. This package does not
 expose any CLI or Python API features.
 .
 This package contains the Python 2.x module.

#Package: python3-keystonemiddleware
#Architecture: all
#Pre-Depends: dpkg (>= 1.15.6~)
#Depends: python3-babel (>= 1.3),
#         python3-iso8601 (>= 0.1.9),
#         python3-keystoneclient (>= 0.9.0),
#         python3-netaddr (>= 0.7.6),
#         python3-oslo.config (>= 1.2.1),
#         python3-pbr (>= 0.6),
#         python3-prettytable (>=0.7),
#         python3-requests (>= 1.1),
#         python3-six (>= 1.7.0),
#         ${misc:Depends},
#         ${python3:Depends}
#Description: Middleware for OpenStack Identity (Keystone) - Python 3.x
# This package contains middleware modules designed to provide authentication
# and authorization features to web services other than Keystone. The most
# prominent module is keystonemiddleware.auth_token. This package does not
# expose any CLI or Python API features.
# .
# This package contains the Python 3.x module.

Package: python-keystonemiddleware-doc
Section: doc
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Middleware for OpenStack Identity (Keystone) - doc
 This package contains middleware modules designed to provide authentication
 and authorization features to web services other than Keystone. The most
 prominent module is keystonemiddleware.auth_token. This package does not
 expose any CLI or Python API features.
 .
 This package contains the documentation.

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/k/keystonemiddleware keystonemiddleware-(.*).tar.gz

## python-keystonemiddleware 1.5.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

Babel>=1.3
iso8601>=0.1.9
oslo.config>=1.9.0  # Apache-2.0
oslo.context>=0.2.0                     # Apache-2.0
oslo.i18n>=1.3.0  # Apache-2.0
oslo.serialization>=1.2.0               # Apache-2.0
oslo.utils>=1.2.0                       # Apache-2.0
pbr>=0.6,!=0.7,<1.0
pycadf>=0.8.0
python-keystoneclient>=1.1.0
requests>=2.2.0,!=2.4.0
six>=1.9.0
WebOb>=1.2.3

=== debian/changelog ===
python-keystonemiddleware (1.5.0-0ubuntu1) vivid; urgency=medium

  * New upstream release. (LP: #1444597)
  * debian/control: Update dependencies. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 07 Apr 2015 12:20:09 -0400

python-keystonemiddleware (1.4.0-0ubuntu1) vivid; urgency=medium

  * New upstream release. 
  * debian/control:
    - Transition to new oslo namespace packages.
    - Bump dependencies to newer versions.
    - Add build dependency on python-memcache.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 03 Mar 2015 11:04:24 -0500

python-keystonemiddleware (1.3.1-0ubuntu2) vivid; urgency=medium

  * debian/control: Fix dependencies 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 12 Jan 2015 10:11:00 -0500

python-keystonemiddleware (1.3.1-0ubuntu1) vivid; urgency=medium

  * New uptream release.
  * debian/control: Add python-oslo.serialization, python-oslo.utils,
    python-oslo.i18n, python-oslotest, python-oslo.messaging,
    python-requests.mock as dependencies.
  * debian/contorl: Dropped python-mox3 and python-prettytable

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 12 Jan 2015 08:32:53 -0500

python-keystonemiddleware (1.2.0-0ubuntu1) vivid; urgency=medium

  * New upstream release.
  * debian/patches/CVE-2014-7144_convert_the_conf_value_into_correct_type.patch:
    Dropped no longer needed.
  * debian/patches/debian/patches/removes-discover-from-test-requirements.txt:
    Dropped no longer needed.
  * debian/control: Add python-oslosphinx as a build dependency.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 26 Nov 2014 08:48:11 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-keystonemiddleware
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Julien Danjou <acid@debian.org>,
            Thomas Goirand <zigo@debian.org>,
            Mehdi Abaakouk <sileht@sileht.net>,
@@ -12,6 +13,7 @@
                python-pbr (>= 0.6),
                python-setuptools,
                python-sphinx (>= 1.1.2),
+               python-oslosphinx,
 #               python3-all,
 #               python3-pbr (>= 0.6),
 #               python3-setuptools
@@ -22,21 +24,27 @@
                      python-httpretty (>= 0.8.0),
                      python-iso8601 (>= 0.1.9),
                      python-mock,
-                     python-mox3,
-                     python-keystoneclient (>= 0.9.0),
+                     python-keystoneclient (>= 1.1.0),
                      python-netaddr (>= 0.7.6),
-                     python-oslo.config (>= 1.2.1),
-                     python-oslo.utils,
-                     python-prettytable (>=0.7),
+                     python-oslo-config (>= 1.9.0),
+                     python-oslo-context (>= 0.2.0),
+                     python-oslo-i18n (>= 1.3.0),
+                     python-oslo-serialization (>= 1.2.0),
+                     python-oslo-utils (>= 1.2.0),
+                     python-oslotest (>= 1.2.0),
+                     python-oslo-messaging (>= 1.6.0),
+                     python-pycadf (>= 0.6.0),
                      python-requests (>= 1.1),
-                     python-six (>= 1.7.0),
+                     python-requests-mock,
+                     python-six (>= 1.9.0),
                      python-stevedore (>= 0.14),
                      python-testresources (>= 0.2.4),
                      python-testtools (>= 0.9.34),
                      python-webob (>= 1.2.3),
+                     python-memcache,
                      subunit (>= 0.0.18),
                      testrepository (>= 0.0.18),
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-keystonemiddleware.git
 Vcs-Git: git://anonscm.debian.org/openstack/python-keystonemiddleware.git
 Homepage: http://launchpad.net/keystonemiddleware
@@ -46,14 +54,18 @@
 Pre-Depends: dpkg (>= 1.15.6~)
 Depends: python-babel (>= 1.3),
          python-iso8601 (>= 0.1.9),
-         python-keystoneclient (>= 0.9.0),
+         python-keystoneclient (>= 1.1.0),
          python-netaddr (>= 0.7.6),
-         python-oslo.config (>= 1.2.1),
-         python-oslo.utils,
+         python-oslo-config (>= 1.9.0),
+         python-oslo-context (>= 0.2.0),
+         python-oslo-i18n (>= 1.3.0),
+         python-oslo-serialization (>= 1.2.0),
+         python-oslo-utils (>= 1.2.0),
+         python-pycadf (>= 0.8.0),
          python-pbr (>= 0.6),
-         python-prettytable (>=0.7),
          python-requests (>= 1.1),
-         python-six (>= 1.7.0),
+         python-six (>= 1.9.0),
+         python-webob (>= 1.2.3),
          ${misc:Depends},
          ${python:Depends}
 Description: Middleware for OpenStack Identity (Keystone) - Python 2.x

## python-keystonemiddleware 2.3.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

Babel>=1.3
oslo.config>=2.3.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.i18n>=1.5.0 # Apache-2.0
oslo.serialization>=1.4.0 # Apache-2.0
oslo.utils>=2.0.0 # Apache-2.0
pbr<2.0,>=1.6
pycadf>=1.1.0
python-keystoneclient>=1.6.0
requests>=2.5.2
six>=1.9.0
WebOb>=1.2.3

=== debian/changelog ===
python-keystonemiddleware (2.3.0-1~cloud0) trusty-liberty; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 05 Oct 2015 14:58:54 +0000

python-keystonemiddleware (2.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Align dependencies with upstream.
  * d/control: Update uploaders.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Sep 2015 14:42:41 -0400

python-keystonemiddleware (2.1.0-2) experimental; urgency=medium

  * Removed python-bandit build-depends.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Jul 2015 20:50:50 +0000

python-keystonemiddleware (2.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed watch file.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Jul 2015 07:38:14 +0000

python-keystonemiddleware (1.5.0-2) unstable; urgency=high

  * CVE-2015-1852: S3Token TLS cert verification option not honored. Applied
    upstream patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jun 2015 08:28:00 +0000

python-keystonemiddleware (1.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed nature.css from debian/copyright (and it's BSD licence).

 -- Thomas Goirand <zigo@debian.org>  Wed, 08 Apr 2015 10:08:46 +0200

=== debian/control ===
Source: python-keystonemiddleware
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-babel,
                     python-bandit,
                     python-coverage,
                     python-crypto,
                     python-fixtures (>= 1.3.1),
                     python-hacking,
                     python-keystoneclient (>= 1:1.6.0),
                     python-memcache (>= 1.56),
                     python-mock (>= 1.2),
                     python-oslo.config (>= 1:2.3.0),
                     python-oslo.context (>= 0.2.0),
                     python-oslo.i18n (>= 1.5.0),
                     python-oslo.messaging (>= 1.16.0),
                     python-oslo.serialization (>= 1.4.0),
                     python-oslo.utils (>= 2.0.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-pycadf (>= 1.1.0),
                     python-requests (>= 2.5.2),
                     python-requests-mock (>= 0.6.0),
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.5.0),
                     python-testresources,
                     python-testtools (>= 1.4.0),
                     python-webob,
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-keystonemiddleware.git
Vcs-Git: git://anonscm.debian.org/openstack/python-keystonemiddleware.git
Homepage: http://launchpad.net/keystonemiddleware

Package: python-keystonemiddleware
Architecture: all
Depends: python-babel,
         python-keystoneclient (>= 1:1.6.0),
         python-oslo.config (>= 1:2.3.0),
         python-oslo.context (>= 0.2.0),
         python-oslo.i18n (>= 1.5.0),
         python-oslo.serialization (>= 1.4.0),
         python-oslo.utils (>= 2.0.0),
         python-pbr (>= 1.8),
         python-pycadf (>= 1.1.0),
         python-requests (>= 2.5.2),
         python-six (>= 1.9.0),
         python-webob,
         ${misc:Depends},
         ${python:Depends},
Description: Middleware for OpenStack Identity (Keystone) - Python 2.x
 This package contains middleware modules designed to provide authentication
 and authorization features to web services other than Keystone. The most
 prominent module is keystonemiddleware.auth_token. This package does not
 expose any CLI or Python API features.
 .
 This package contains the Python 2.x module.

Package: python-keystonemiddleware-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Middleware for OpenStack Identity (Keystone) - doc
 This package contains middleware modules designed to provide authentication
 and authorization features to web services other than Keystone. The most
 prominent module is keystonemiddleware.auth_token. This package does not
 expose any CLI or Python API features.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
#PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/openstack/keystonemiddleware.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc
#	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-keystonemiddleware; \
	done
#	set -e && for pyvers in $(PYTHON3S); do \
#		python$$pyvers setup.py install --install-layout=deb \
#			--root $(CURDIR)/debian/python3-keystonemiddleware; \
#	done

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
#	set -e && for i in $(PYTHONS) $(PYTHON3S) ; do \
	echo "===> Running tests"
	set -e && for i in 2.7 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` && \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'tests\.(?!.*OptsTestCase.test_entry_point.*)' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-keystonemiddleware-doc/usr/share/doc/python-keystonemiddleware-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:

## python-keystonemiddleware 4.4.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

keystoneauth1>=2.1.0 # Apache-2.0
oslo.config>=3.7.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
pbr>=1.6 # Apache-2.0
positional>=1.0.1 # Apache-2.0
pycadf!=2.0.0,>=1.1.0 # Apache-2.0
python-keystoneclient!=1.8.0,!=2.1.0,>=1.6.0 # Apache-2.0
requests!=2.9.0,>=2.8.1 # Apache-2.0
six>=1.9.0 # MIT
WebOb>=1.2.3 # MIT

=== debian/changelog ===
python-keystonemiddleware (4.4.0-3) unstable; urgency=medium

  * Re-add missing auth options in oslo-config-generator:
    - Add re-add-missing-auth-options.patch
    - Disable now failing unit tests.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Apr 2016 22:16:03 +0000

python-keystonemiddleware (4.4.0-2) unstable; urgency=medium

  * Added git as build-depends-indep.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 11:22:51 +0000

python-keystonemiddleware (4.4.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed homepage (https).
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Uploading to unstable.
  * Fixed (build-)depends for this release.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 12:21:37 +0200

python-keystonemiddleware (4.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Also test with Python 3.
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Dec 2015 16:29:42 +0100

python-keystonemiddleware (3.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Dec 2015 11:02:00 +0100

python-keystonemiddleware (2.3.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 10:04:17 +0000

python-keystonemiddleware (2.3.0-2) experimental; urgency=medium

  * Added Python 3 support.

 -- Thomas Goirand <zigo@debian.org>  Sat, 03 Oct 2015 19:48:25 +0200

=== debian/control ===
Source: python-keystonemiddleware
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: git,
                     python-bandit,
                     python-coverage,
                     python-crypto,
                     python-fixtures (>= 1.3.1),
                     python-hacking,
                     python-keystoneauth1 (>= 2.1.0),
                     python-keystoneclient (>= 1:1.6.0),
                     python-memcache (>= 1.56),
                     python-mock (>= 1.2),
                     python-oslo.config (>= 1:3.7.0),
                     python-oslo.context (>= 0.2.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.messaging (>= 4.0.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.utils (>= 3.5.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-positional (>= 1.0.1),
                     python-pycadf (>= 1.1.0),
                     python-requests (>= 2.8.1),
                     python-requests-mock (>= 0.7.0),
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.5.0),
                     python-testresources,
                     python-testtools (>= 1.4.0),
                     python-webob,
                     python3-bandit,
                     python3-crypto,
                     python3-fixtures (>= 1.3.1),
                     python3-keystoneauth1 (>= 2.1.0),
                     python3-keystoneclient (>= 1:1.6.0),
                     python3-memcache (>= 1.56),
                     python3-mock (>= 1.2),
                     python3-oslo.config (>= 1:3.7.0),
                     python3-oslo.context (>= 0.2.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.messaging (>= 4.0.0),
                     python3-oslo.serialization (>= 1.10.0),
                     python3-oslo.utils (>= 3.5.0),
                     python3-oslotest (>= 1.10.0),
                     python3-positional (>= 1.0.1),
                     python3-pycadf (>= 1.1.0),
                     python3-requests (>= 2.8.1),
                     python3-requests-mock (>= 0.7.0),
                     python3-six (>= 1.9.0),
                     python3-stevedore (>= 1.5.0),
                     python3-subunit,
                     python3-testresources,
                     python3-testtools (>= 1.4.0),
                     python3-webob,
                     subunit,
                     testrepository,
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-keystonemiddleware.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/python-keystonemiddleware.git
Homepage: https://launchpad.net/keystonemiddleware

Package: python-keystonemiddleware
Architecture: all
Depends: python-keystoneauth1 (>= 2.1.0),
         python-keystoneclient (>= 1:1.6.0),
         python-oslo.config (>= 1:3.7.0),
         python-oslo.context (>= 0.2.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.utils (>= 3.5.0),
         python-pbr (>= 1.8),
         python-positional (>= 1.0.1),
         python-pycadf (>= 1.1.0),
         python-requests (>= 2.8.1),
         python-six (>= 1.9.0),
         python-webob,
         ${misc:Depends},
         ${python:Depends},
Description: Middleware for OpenStack Identity (Keystone) - Python 2.x
 This package contains middleware modules designed to provide authentication
 and authorization features to web services other than Keystone. The most
 prominent module is keystonemiddleware.auth_token. This package does not
 expose any CLI or Python API features.
 .
 This package contains the Python 2.x module.

Package: python3-keystonemiddleware
Architecture: all
Depends: python3-keystoneauth1 (>= 2.1.0),
         python3-keystoneclient (>= 1:1.6.0),
         python3-oslo.config (>= 1:3.7.0),
         python3-oslo.context (>= 0.2.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.serialization (>= 1.10.0),
         python3-oslo.utils (>= 3.5.0),
         python3-pbr (>= 1.8),
         python3-positional (>= 1.0.1),
         python3-pycadf (>= 1.1.0),
         python3-requests (>= 2.8.1),
         python3-six (>= 1.9.0),
         python3-webob,
         ${misc:Depends},
         ${python3:Depends},
Description: Middleware for OpenStack Identity (Keystone) - Python 3.x
 This package contains middleware modules designed to provide authentication
 and authorization features to web services other than Keystone. The most
 prominent module is keystonemiddleware.auth_token. This package does not
 expose any CLI or Python API features.
 .
 This package contains the Python 3.x module.

Package: python-keystonemiddleware-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: Middleware for OpenStack Identity (Keystone) - doc
 This package contains middleware modules designed to provide authentication
 and authorization features to web services other than Keystone. The most
 prominent module is keystonemiddleware.auth_token. This package does not
 expose any CLI or Python API features.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/openstack/keystonemiddleware.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-keystonemiddleware; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-keystonemiddleware; \
	done

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "===> Running tests"
	set -e ; for i in 2.7 $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'keystonemiddleware.tests\.unit\.(?!(.*OptsTestCase.test_entry_point.*|.*test_opts.OptsTestCase.test_list_auth_token_opts.*|.*test_opts.OptsTestCase.test_original_list_all_options.*))' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-keystonemiddleware-doc/usr/share/doc/python-keystonemiddleware-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:

## python-keystonemiddleware 4.4.1

=== requirements.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 pbr>=1.6 # Apache-2.0
 positional>=1.0.1 # Apache-2.0
 pycadf!=2.0.0,>=1.1.0 # Apache-2.0
-python-keystoneclient!=1.8.0,!=2.1.0,>=1.6.0 # Apache-2.0
+python-keystoneclient!=1.8.0,!=2.1.0,<3.0.0,>=1.6.0 # Apache-2.0
 requests!=2.9.0,>=2.8.1 # Apache-2.0
 six>=1.9.0 # MIT
 WebOb>=1.2.3 # MIT

=== debian/changelog ===
python-keystonemiddleware (4.4.1-0ubuntu1) xenial; urgency=medium

  * New upstream point release (LP: #1533724).
  * d/gbp.conf: Update debian-branch to ubuntu/mitaka.
  * d/control: Update maintainer to Ubuntu Developers.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 11 Jul 2016 09:07:04 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-keystonemiddleware
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            Corey Bryant <corey.bryant@canonical.com>,
 Build-Depends: debhelper (>= 9),

## python-keystonemiddleware 4.9.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

keystoneauth1>=2.10.0 # Apache-2.0
oslo.config>=3.14.0 # Apache-2.0
oslo.context>=2.6.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.16.0 # Apache-2.0
pbr>=1.6 # Apache-2.0
positional>=1.0.1 # Apache-2.0
pycadf!=2.0.0,>=1.1.0 # Apache-2.0
python-keystoneclient!=2.1.0,>=2.0.0 # Apache-2.0
requests>=2.10.0 # Apache-2.0
six>=1.9.0 # MIT
WebOb>=1.2.3 # MIT

=== debian/changelog ===
python-keystonemiddleware (4.9.0-1+66~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Sun, 11 Sep 2016 23:19:38 +0000

python-keystonemiddleware (4.9.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Corey Bryant ]
  * New upstream release.
  * d/gbp.conf: Update debian-branch for Newton.
  * .gitreview: Copy upstream version of file.
  * d/control: Align (Build-)Depends with upstream.
  * d/patches/*: Rebased.

  [ James Page ]
  * New upstream release.
  * Align (Build-)Depends with upstream.

  [ Thomas Goirand ]
  * Using OpenStack's Gerrit VCS URLs.

 -- Thomas Goirand <zigo@debian.org>  Mon, 12 Sep 2016 00:05:54 +0200

=== debian/control ===
Source: python-keystonemiddleware
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: git,
                     python-bandit,
                     python-coverage,
                     python-crypto,
                     python-fixtures (>= 3.0.0),
                     python-hacking,
                     python-keystoneauth1 (>= 2.10.0),
                     python-keystoneclient (>= 1:2.0.0),
                     python-memcache (>= 1.56),
                     python-mock (>= 2.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.context (>= 2.6.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.messaging (>= 4.0.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.utils (>= 3.16.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-positional (>= 1.0.1),
                     python-pycadf (>= 1.1.0),
                     python-requests (>= 2.10.0),
                     python-requests-mock (>= 1.0),
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.16.0),
                     python-testresources,
                     python-testtools (>= 1.4.0),
                     python-webob,
                     python3-bandit,
                     python3-crypto,
                     python3-fixtures (>= 3.0.0),
                     python3-keystoneauth1 (>= 2.10.0),
                     python3-keystoneclient (>= 1:2.0.0),
                     python3-memcache (>= 1.56),
                     python3-mock (>= 2.0),
                     python3-oslo.config (>= 1:3.14.0),
                     python3-oslo.context (>= 2.6.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.messaging (>= 4.0.0),
                     python3-oslo.serialization (>= 1.10.0),
                     python3-oslo.utils (>= 3.16.0),
                     python3-oslotest (>= 1.10.0),
                     python3-positional (>= 1.0.1),
                     python3-pycadf (>= 1.1.0),
                     python3-requests (>= 2.10.0),
                     python3-requests-mock (>= 1.0),
                     python3-six (>= 1.9.0),
                     python3-stevedore (>= 1.16.0),
                     python3-subunit,
                     python3-testresources,
                     python3-testtools (>= 1.4.0),
                     python3-webob,
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-keystonemiddleware
Vcs-Git: https://git.openstack.org/git/openstack/deb-python-keystonemiddleware
Homepage: https://launchpad.net/keystonemiddleware

Package: python-keystonemiddleware
Architecture: all
Depends: python-keystoneauth1 (>= 2.10.0),
         python-keystoneclient (>= 1:2.0.0),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.context (>= 2.6.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.utils (>= 3.16.0),
         python-pbr (>= 1.8),
         python-positional (>= 1.0.1),
         python-pycadf (>= 1.1.0),
         python-requests (>= 2.10.0),
         python-six (>= 1.9.0),
         python-webob,
         ${misc:Depends},
         ${python:Depends},
Description: Middleware for OpenStack Identity (Keystone) - Python 2.x
 This package contains middleware modules designed to provide authentication
 and authorization features to web services other than Keystone. The most
 prominent module is keystonemiddleware.auth_token. This package does not
 expose any CLI or Python API features.
 .
 This package contains the Python 2.x module.

Package: python3-keystonemiddleware
Architecture: all
Depends: python3-keystoneauth1 (>= 2.10.0),
         python3-keystoneclient (>= 1:2.0.0),
         python3-oslo.config (>= 1:3.14.0),
         python3-oslo.context (>= 2.6.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.serialization (>= 1.10.0),
         python3-oslo.utils (>= 3.16.0),
         python3-pbr (>= 1.8),
         python3-positional (>= 1.0.1),
         python3-pycadf (>= 1.1.0),
         python3-requests (>= 2.10.0),
         python3-six (>= 1.9.0),
         python3-webob,
         ${misc:Depends},
         ${python3:Depends},
Description: Middleware for OpenStack Identity (Keystone) - Python 3.x
 This package contains middleware modules designed to provide authentication
 and authorization features to web services other than Keystone. The most
 prominent module is keystonemiddleware.auth_token. This package does not
 expose any CLI or Python API features.
 .
 This package contains the Python 3.x module.

Package: python-keystonemiddleware-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: Middleware for OpenStack Identity (Keystone) - doc
 This package contains middleware modules designed to provide authentication
 and authorization features to web services other than Keystone. The most
 prominent module is keystonemiddleware.auth_token. This package does not
 expose any CLI or Python API features.
 .
 This package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
 
-UPSTREAM_GIT = git://github.com/openstack/keystonemiddleware.git
+UPSTREAM_GIT := https://github.com/openstack/keystonemiddleware.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

## python-keystonemiddleware 4.11.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

keystoneauth1>=2.14.0 # Apache-2.0
oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
oslo.context>=2.9.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0
pbr>=1.8 # Apache-2.0
positional>=1.1.1 # Apache-2.0
pycadf!=2.0.0,>=1.1.0 # Apache-2.0
python-keystoneclient>=3.6.0 # Apache-2.0
requests>=2.10.0 # Apache-2.0
six>=1.9.0 # MIT
WebOb>=1.6.0 # MIT

## python-keystonemiddleware 4.12.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

keystoneauth1>=2.16.0 # Apache-2.0
oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
oslo.context>=2.9.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0
pbr>=1.8 # Apache-2.0
positional>=1.1.1 # Apache-2.0
pycadf!=2.0.0,>=1.1.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
requests!=2.12.2,>=2.10.0 # Apache-2.0
six>=1.9.0 # MIT
WebOb>=1.6.0 # MIT

## python-keystonemiddleware 4.14.0

=== requirements.txt ===
--- 
+++ 
@@ -2,10 +2,11 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
-keystoneauth1>=2.16.0 # Apache-2.0
+keystoneauth1>=2.17.0 # Apache-2.0
 oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
 oslo.context>=2.9.0 # Apache-2.0
 oslo.i18n>=2.1.0 # Apache-2.0
+oslo.log>=3.11.0 # Apache-2.0
 oslo.serialization>=1.10.0 # Apache-2.0
 oslo.utils>=3.18.0 # Apache-2.0
 pbr>=1.8 # Apache-2.0

=== debian/changelog ===
python-keystonemiddleware (4.14.0-1) unstable; urgency=medium

  * New upstream version

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 31 Jul 2017 21:53:16 +0200

python-keystonemiddleware (4.9.0-1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Corey Bryant ]
  * New upstream release.
  * d/gbp.conf: Update debian-branch for Newton.
  * .gitreview: Copy upstream version of file.
  * d/control: Align (Build-)Depends with upstream.
  * d/patches/*: Rebased.

  [ James Page ]
  * New upstream release.
  * Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 25 Aug 2016 15:13:15 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            Corey Bryant <corey.bryant@canonical.com>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                openstack-pkg-tools,
                python-all,
@@ -20,42 +20,45 @@
                      python-crypto,
                      python-fixtures (>= 3.0.0),
                      python-hacking,
-                     python-keystoneauth1 (>= 2.10.0),
-                     python-keystoneclient (>= 1:2.0.0),
+                     python-keystoneauth1 (>= 2.17.0),
+                     python-keystoneclient (>= 1:3.8.0),
                      python-memcache (>= 1.56),
                      python-mock (>= 2.0),
                      python-oslo.config (>= 1:3.14.0),
-                     python-oslo.context (>= 2.6.0),
+                     python-oslo.context (>= 2.9.0),
                      python-oslo.i18n (>= 2.1.0),
+                     python-oslo.log (>=3.11.0),
                      python-oslo.messaging (>= 4.0.0),
                      python-oslo.serialization (>= 1.10.0),
-                     python-oslo.utils (>= 3.16.0),
+                     python-oslo.utils (>= 3.18.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1.10.0),
-                     python-positional (>= 1.0.1),
+                     python-oslotest (>= 1:1.10.0),
+                     python-positional (>= 1.1.1),
                      python-pycadf (>= 1.1.0),
                      python-requests (>= 2.10.0),
                      python-requests-mock (>= 1.0),
                      python-six (>= 1.9.0),
                      python-stevedore (>= 1.16.0),
                      python-testresources,
+                     python-webtest,
+                     python3-webtest,
                      python-testtools (>= 1.4.0),
                      python-webob,
                      python3-bandit,
                      python3-crypto,
                      python3-fixtures (>= 3.0.0),
-                     python3-keystoneauth1 (>= 2.10.0),
-                     python3-keystoneclient (>= 1:2.0.0),
+                     python3-keystoneauth1 (>= 2.17.0),
+                     python3-keystoneclient (>= 1:3.8.0),
                      python3-memcache (>= 1.56),
                      python3-mock (>= 2.0),
                      python3-oslo.config (>= 1:3.14.0),
-                     python3-oslo.context (>= 2.6.0),
+                     python3-oslo.context (>= 2.9.0),
                      python3-oslo.i18n (>= 2.1.0),
                      python3-oslo.messaging (>= 4.0.0),
                      python3-oslo.serialization (>= 1.10.0),
-                     python3-oslo.utils (>= 3.16.0),
-                     python3-oslotest (>= 1.10.0),
-                     python3-positional (>= 1.0.1),
+                     python3-oslo.utils (>= 3.18.0),
+                     python3-oslotest (>= 1:1.10.0),
+                     python3-positional (>= 1.1.1),
                      python3-pycadf (>= 1.1.0),
                      python3-requests (>= 2.10.0),
                      python3-requests-mock (>= 1.0),
@@ -68,21 +71,22 @@
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-keystonemiddleware
-Vcs-Git: https://git.openstack.org/git/openstack/deb-python-keystonemiddleware
+Vcs-Browser: https://anonscm.debian.org/git/openstack/old/gerrit/deb-python-keystonemiddleware.git/?h=debian%2Focata
+Vcs-Git: https://anonscm.debian.org/git/openstack/old/gerrit/deb-python-keystonemiddleware.git -b debian/ocata
 Homepage: https://launchpad.net/keystonemiddleware
 
 Package: python-keystonemiddleware
 Architecture: all
-Depends: python-keystoneauth1 (>= 2.10.0),
-         python-keystoneclient (>= 1:2.0.0),
+Depends: python-keystoneauth1 (>= 2.17.0),
+         python-keystoneclient (>= 1:3.8.0),
          python-oslo.config (>= 1:3.14.0),
-         python-oslo.context (>= 2.6.0),
+         python-oslo.log (>=3.11.0),
+         python-oslo.context (>= 2.9.0),
          python-oslo.i18n (>= 2.1.0),
          python-oslo.serialization (>= 1.10.0),
-         python-oslo.utils (>= 3.16.0),
+         python-oslo.utils (>= 3.18.0),
          python-pbr (>= 1.8),
-         python-positional (>= 1.0.1),
+         python-positional (>= 1.1.1),
          python-pycadf (>= 1.1.0),
          python-requests (>= 2.10.0),
          python-six (>= 1.9.0),
@@ -99,15 +103,16 @@
 
 Package: python3-keystonemiddleware
 Architecture: all
-Depends: python3-keystoneauth1 (>= 2.10.0),
-         python3-keystoneclient (>= 1:2.0.0),
+Depends: python3-keystoneauth1 (>= 2.17.0),
+         python3-keystoneclient (>= 1:3.8.0),
          python3-oslo.config (>= 1:3.14.0),
-         python3-oslo.context (>= 2.6.0),
+         python3-oslo.context (>= 2.9.0),
+         python-oslo.log (>=3.11.0),
          python3-oslo.i18n (>= 2.1.0),
          python3-oslo.serialization (>= 1.10.0),
-         python3-oslo.utils (>= 3.16.0),
+         python3-oslo.utils (>= 3.18.0),
          python3-pbr (>= 1.8),
-         python3-positional (>= 1.0.1),
+         python3-positional (>= 1.1.1),
          python3-pycadf (>= 1.1.0),
          python3-requests (>= 2.10.0),
          python3-six (>= 1.9.0),

=== debian/rules ===
--- 
+++ 
@@ -40,6 +40,13 @@
 override_dh_clean:
 	dh_clean -O--buildsystem=python_distutils
 	rm -rf build
+	rm -rf .testrepository
+	rm -f ChangeLog
+	rm -f AUTHORS
+	rm -f doc/source/api/keystonemiddleware.audit.rst
+	rm -f doc/source/api/keystonemiddleware.auth_token.rst
+	rm -f doc/source/api/keystonemiddleware.echo.rst
+	rm -f doc/source/api/keystonemiddleware.rst
 
 override_dh_sphinxdoc:
 	sphinx-build -b html doc/source debian/python-keystonemiddleware-doc/usr/share/doc/python-keystonemiddleware-doc/html
